Gecode::Int::Sequence::ViewValSupport< View, Val, iss > Class Template Reference

Class for view value support structure. More...

`#include <view.hpp>`

## Public Member Functions

void | init (Space &home, ViewArray< View > &x, Val s, int i, int q)
| Initialize.
void | update (Space &home, ViewValSupport< View, Val, iss > &vvs, int n0)
| Update.
ExecStatus | advise (Space &home, ViewArray< View > &a, Val s, int i, int q, int j, const Delta &d)
| Advise.
ExecStatus | propagate (Space &home, ViewArray< View > &a, Val s, int i, int q, int l, int u)
| Propagate.
bool | violated (int j, int q, int l, int u) const
| Return true if sequence j has been violated.
bool | retired (void) const
| Check if retired.

## Static Public Member Functions

static ViewValSupport * | allocate (Space &, int)
| Allocate an instance.

## Detailed Description

template<class View, class Val, bool iss>
class Gecode::Int::Sequence::ViewValSupport< View, Val, iss >

Class for view value support structure.

Definition at line 80 of file view.hpp.

## Member Function Documentation

## init()

template<class View, class Val, bool iss>

void Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::init | ( | Space & | home,
|  | ViewArray< View > & | x,
|  | Val | s,
|  | int | i,
|  | int | q )

inline

Initialize.

Definition at line 188 of file view.hpp.

## update()

template<class View, class Val, bool iss>

void Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::update | ( | Space & | home,
|  | ViewValSupport< View, Val, iss > & | vvs,
|  | int | n0 )

inline

Update.

Definition at line 211 of file view.hpp.

## advise()

template<class View, class Val, bool iss>

ExecStatus Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::advise | ( | Space & | home,
|  | ViewArray< View > & | a,
|  | Val | s,
|  | int | i,
|  | int | q,
|  | int | j,
|  | const Delta & | d )

inline

Advise.

Definition at line 347 of file view.hpp.

## propagate()

template<class View, class Val, bool iss>

ExecStatus Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::propagate | ( | Space & | home,
|  | ViewArray< View > & | a,
|  | Val | s,
|  | int | i,
|  | int | q,
|  | int | l,
|  | int | u )

inline

Propagate.

Definition at line 386 of file view.hpp.

## violated()

template<class View, class Val, bool iss>

bool Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::violated | ( | int | j,
|  | int | q,
|  | int | l,
|  | int | u ) const

inline

Return true if sequence j has been violated.

Definition at line 262 of file view.hpp.

## retired()

template<class View, class Val, bool iss>

bool Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::retired | ( | void |  | ) | const

inline

Check if retired.

Definition at line 159 of file view.hpp.

## allocate()

template<class View, class Val, bool iss>

ViewValSupport< View, Val, iss > * Gecode::Int::Sequence::ViewValSupport< View, Val, iss >::allocate | ( | Space & | home,
|  | int | n )

inline static

Allocate an instance.

Definition at line 134 of file view.hpp.

The documentation for this class was generated from the following files:

- gecode/int/sequence.hh
- gecode/int/sequence/view.hpp